Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4182 - nscd internal communication problem?
Summary: nscd internal communication problem?
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: caching-nameserver
Version: 6.0
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-23 19:56 UTC by twalberg
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-20 12:18:59 UTC


Attachments (Terms of Use)

Description twalberg 1999-07-23 19:56:09 UTC
seeing multiple /var/log/messages entries along the lines
of:

Jul 23 10:52:50 calvin nscd: 330: short write in
cache_addpw: Broken pipe

I see this also for cache_addhst (but haven't yet seen
id for cache_addgrp - doesn't mean it doesn't occur,
though).

Not sure whether it's hurting anything, 'cause everything
seems to be working fine otherwise...

Comment 1 Jeff Johnson 1999-08-31 16:55:59 UTC
Does this problem persist after upgrading to the latest glibc/nscd
in Raw Hide? Several nscd problems are fixed there ...

Comment 2 twalberg 1999-09-14 16:27:59 UTC
no - updated to:

compat-glibc-5.2-2.0.7.1
glib-1.2.3-2
glib-devel-1.2.3-2
glib10-1.0.6-6
glibc-2.1.2-7
glibc-devel-2.1.2-7
glibc-profile-2.1.2-7
nscd-2.1.2-7

and still seeing the messages

Comment 3 Cristian Gafton 1999-09-20 12:18:59 UTC
seems to be a race condition when one thread is expiring an entry
whike the other is trying to retrieve it from the cache. The lookup in
the cache fails and the entry is efetched from the original source, no
harm done.

nscd is too verbose about this situation...


Note You need to log in before you can comment on or make changes to this bug.